class KEMailSettings

# class KEMailSettings | This is just a small class to facilitate accessing e-mail settings in a sane way, and allowing any program to manage multiple e-mail profiles effortlessly More...
Definition | `#include <kemailsettings.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Setting { ClientProgram, ClientTerminal, RealName, EmailAddress, ReplyToAddress, Organization, OutServer, OutServerLogin, OutServerPass, OutServerType, OutServerCommand, OutServerTLS, InServer, InServerLogin, InServerPass, InServerType, InServerMBXType, InServerTLS }
- enum Extension { POP3, SMTP, OTHER }

#### Public Methods

- KEMailSettings ()
- ~KEMailSettings ()
- QStringList profiles () const
- QString currentProfileName () const
- void setProfile (const QString &)
- QString defaultProfileName () const
- void setDefault (const QString &)
- QString getSetting (KEMailSettings::Setting s)
- void setSetting (KEMailSettings::Setting s, const QString &v)
- QString getExtendedSetting (KEMailSettings::Extension e, const QString &s )
- void setExtendedSetting (KEMailSettings::Extension e, const QString &s, const QString &v )

## Detailed Description

This is just a small class to facilitate accessing e-mail settings in a sane way, and allowing any program to manage multiple e-mail profiles effortlessly

enum Setting { ClientProgram, ClientTerminal, RealName, EmailAddress, ReplyToAddress, Organization, OutServer, OutServerLogin, OutServerPass, OutServerType, OutServerCommand, OutServerTLS, InServer, InServerLogin, InServerPass, InServerType, InServerMBXType, InServerTLS } | ### Setting

The list of settings that I thought of when I wrote this class. Any extra settings thought of later can be accessed easily with getExtendedSetting and setExtendedSetting.

See also: getExtendedSetting., setExtendedSetting.

enum Extension { POP3, SMTP, OTHER } | ### Extension

The various extensions allowed.

KEMailSettings () | ### KEMailSettings

Default constructor, just sets things up.

~KEMailSettings () | ### ~KEMailSettings

Default destructor, nothing to see here.

QStringList profiles () | ### profiles

[const]

List of profiles available.

QString currentProfileName () | ### currentProfileName

[const]

Returns: what profile we're currently using

void setProfile (const QString &) | ### setProfile

Change the current profile.

QString defaultProfileName () | ### defaultProfileName

[const]

Returns: the name of the one that's currently default QString::null if none

void setDefault (const QString &) | ### setDefault

New default..

QString getSetting (KEMailSettings::Setting s) | ### getSetting

Get a "basic" setting, one that I've already thought of..

void setSetting (KEMailSettings::Setting s, const QString &v) | ### setSetting

QString getExtendedSetting (KEMailSettings::Extension e, const QString &s ) | ### getExtendedSetting

Use this when trying to get at currently unimplemented settings such as POP3 authentication methods, or mail specific TLS settings or something I haven't already thought of.

void setExtendedSetting (KEMailSettings::Extension e, const QString &s, const QString &v ) | ### setExtendedSetting

Use this when trying to get at currently unimplemented settings such as POP3 authentication methods, or mail specific TLS settings or something I haven't already thought of.

- Author: Alex Zepeda zipzippy@sonic.net
- Generated: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:57 2003, using kdoc 2.0a54.